- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# device_t Struct Reference

`#include <device.h>`

## Data Fields
void * | info
int(* | init )(device_t *)
void(* | ioctl )(void *)
int | major
int(* | read )(device_t *, void *, off_t, size_t)
int(* | reset )(void *)
uInt32 | sectors
void(* | standby )(void *)
void(* | start )(void *)
void(* | stop )(void *)
int(* | write )(device_t *, void *, off_t, size_t)

## Detailed Description

Definition at line 50 of file device.h.

## Field Documentation

void* device_t::info

Definition at line 52 of file device.h.

int(* device_t::init)(device_t *)

void(* device_t::ioctl)(void *)

int device_t::major

Definition at line 51 of file device.h.

Referenced by dev_ramDrive().

int(* device_t::read)(device_t *, void *, off_t, size_t)

Referenced by dev_ramDrive().

int(* device_t::reset)(void *)

uInt32 device_t::sectors

Definition at line 53 of file device.h.

Referenced by dev_ramDrive().

void(* device_t::standby)(void *)

void(* device_t::start)(void *)

void(* device_t::stop)(void *)

int(* device_t::write)(device_t *, void *, off_t, size_t)

Referenced by dev_ramDrive().

The documentation for this struct was generated from the following file:

- src/sys/ubixfsv2/device.h